## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/trainer

### Try it

Get Trainer Records

### cURL

```
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/trainer \
  --header 'X-API-Key: <api-key>'
```

### Python

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/trainer"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/trainer', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/trainer",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/trainer"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.0/trainer")
  .header("X-API-Key", "<api-key>")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/trainer")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Codes

200

400

401

402

403

404

405

409

413

500

501

502

503

504

### Example Response

```json
{
  "items": [
    {
      "text": "I want a Pizza",
      "count": 2,
      "flowReferenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "handled": true,
      "nlu": {},
      "meta": {},
      "snapshotReference": "<string>",
      "_id": "<string>",
      "createdAt": 1694518620,
      "lastChanged": 1694518620,
      "createdBy": "<string>",
      "lastChangedBy": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorization

**APIKeyHeader**

- **X-API-Key** (string required)
  - Supply the API Key in the HTTP-Header

### Headers

**Accept** (enum[string])

- The `Accept` header specifies the media type that the client expects in the response. Available options are: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

Available options:

- `application/json`
- `application/hal+json`
- `application/xml`
- `text/xml`
- `text/csv`

### Query Parameters

- **projectId** (string)
  - The unique identifier for the Project.

- **filter** (string)
  - The string to filter Intent Trainer records by text.

- **limit** (integer)
  - The maximum number of items to return. Default value is 25.

- **skip** (integer)
  - The number of items to skip before returning the results. Default value is 0.

- **sort** (string)
  - The order in which results are returned.

- **next** (string)
  - The cursor that points to the next page of results.

- **previous** (string)
  - The cursor that points to the previous page of results.

- **understood** (enum[string])
  - If set to true, filters Intent Trainer records for which the user input was marked as understood.

- **intentFound** (enum[string])
  - If set to true, filters Intent Trainer records for which an Intent was found.

- **slotFound** (enum[string])
  - If set to true, filters Intent Trainer records for which a Slot was found.

- **userSlotsFound** (enum[string])
  - If set to true, filters Intent Trainer records for which user-defined Slots were found.

- **systemSlotsFound** (enum[string])
  - If set to true, filters Intent Trainer records for which system-defined Slots were found.

- **type** (enum[string][])  
  - The Intent type to filter Intent Trainer records by.

- **scoreRange** (number[])  
  - The Intent score range to filter by.
